netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
atp_sreq.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include <errno.h>`
`#include <sys/uio.h>`
`#include <signal.h>`
`#include <netinet/in.h>`
`#include <netatalk/at.h>`
`#include <atalk/netddp.h>`
`#include <atalk/atp.h>`
`#include <atalk/util.h>`
`#include "atp_internals.h"`

## Functions
int | atp_sreq (ATP ah, struct atp_block *atpb, int respcount, uint8_t flags)
| Send ATP transaction service request.

## Function Documentation

## ◆ atp_sreq()

int atp_sreq | ( | ATP | ah,
|  | struct atp_block * | atpb,
|  | int | respcount,
|  | uint8_t | flags )

Send ATP transaction service request.

Parameters

  ah | open atp handle
  atpb | parameter block
  respcount | buffers available for response
  flags | ATP_XO, ATP_TREL